Skocz do zawartości


Jest to forum z publiczną pomocą do modułu zniżki od wartości koszyka. Za pośrednictwem tej wtyczki masz możliwość budowy programu rabatowego, który przyzna klientom obniżkę wartości koszyka w zależności od jego wartości. W module masz możliwość zdefiniowania nieograniczonej ilości progów, od których liczony będzie rabat. Moduł umożliwia wyłącznie programu rabatowego dla wybranych grup klientów oraz wykluczenie produktów z programu (wówczas te produkty nie będą wliczane do wartości koszyka).
Zdjęcie

błąd po instalacji - biała strona, sklep nie działa


  • Proszę się zalogować aby odpowiedzieć
1 odpowiedzi na ten temat

#1 apactools

apactools

    Member

  • Members
  • PipPip
  • 19 postów

Napisany 08 September 2021 - 02:57 PM

zaraz po instalacji wtyczki, na froncie sklepu pojawia mi się błąd

Attempted to load class "cdis" from the global namespace.

did you forget a "use" statement?



#2 vekia

vekia

    Advanced Member

  • Members
  • PipPipPip
  • 206 postów

Napisany 08 September 2021 - 02:58 PM

Dzień dobry
Są dwie możliwe przyczyny problemu.
 

  1. zainstalowana została wersja modułu, która dedykowana jest prestashop w wersji 1.6 (a sklep działa w prestashop 1.7)
    w takim przypadku niezbędne będzie odinstalowanie modułu (a gdy to nie jest możliwe manualnie usunięcie jego plików oraz wprowadzonych override)
  2. wcześniej w sklepie został zainstalowany inny moduł, który dodał niepełny override klasy Cart.php
    zakładam, że to jest właśnie przyczyną tj. najprawdopodobniej w sklepie, przed instalacją modułu, istniał override klasy "cart.php" (override/classes/Cart.php), który nie zawiera na samym początku niezbędego kodu ładującego odpowiednie biblioteki. Ten kod to:
    use PrestaShop\PrestaShop\Adapter\AddressFactory;
    use PrestaShop\PrestaShop\Adapter\Cache\CacheAdapter;
    use PrestaShop\PrestaShop\Adapter\Customer\CustomerDataProvider;
    use PrestaShop\PrestaShop\Adapter\Database;
    use PrestaShop\PrestaShop\Adapter\Group\GroupDataProvider;
    use PrestaShop\PrestaShop\Adapter\Product\PriceCalculator;
    use PrestaShop\PrestaShop\Adapter\ServiceLocator;
    use PrestaShop\PrestaShop\Core\Cart\Calculator;
    use PrestaShop\PrestaShop\Core\Cart\CartRow;
    use PrestaShop\PrestaShop\Core\Cart\CartRuleData;
    require_once _PS_MODULE_DIR_ . 'cartdiscount/models/cdis.php';

    należy go dodać w pliku /override/classes/Cart.php tuż przed 
    class Cart extends CartCore

w obu przypadkach oferuję pełny support w tym inspekcję bezpośrednio w sklepie, gdyby okazało się to potrzebne - pozostaję do dyspozycji

pozdrawiam,
miłosz






0 użytkowników czyta ten temat

0 użytkowników, 0 gości, 0 anonimowych użytkowników